### Method

# WebKit WebExtension get_has_override_new_tab_page

unstable since: 2.52

#### Declaration [src]

    gboolean
    webkit_web_extension_get_has_override_new_tab_page (
      WebKitWebExtension* extension
    )

#### Description [src]

Get whether the extension provides an alternative to the default new tab page.

The app should prompt the user for permission to use the extension’s new tab page as the default, which can be accessed via `overrideNewTabPageURL` on an extension context.

Available since: 2.52

Gets property | `WebKit.WebExtension:has-override-new-tab-page`

#### Return value

Type: `gboolean`

`TRUE` if the extension can specify a custom page that can be displayed when a new tab is opened in the app, instead of the default new tab page.